resource "kubectl_manifest" "CDI_cdi" {
  yaml_body  = <<-EOF
    apiVersion: cdi.kubevirt.io/v1beta1
    kind: CDI
    metadata:
      name: cdi
      labels: ${jsonencode(local.common-labels)}
    spec:
      config:
        featureGates:
        - HonorWaitForFirstConsumer
      imagePullPolicy: IfNotPresent
      infra:
        nodeSelector:
          kubernetes.io/os: linux
        tolerations:
        - key: CriticalAddonsOnly
          operator: Exists
      workload:
        nodeSelector:
          kubernetes.io/os: linux
EOF
}

